<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: timing_adapter_32 Enum Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">timing_adapter_32 Enum Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for timing_adapter_32:</div>
<div class="dyncontent">
<div class="center"><img src="enumtiming__adapter__32__inherit__graph.png" border="0" usemap="#timing__adapter__32_inherit__map" alt="Inheritance graph"/></div>
<map name="timing__adapter__32_inherit__map" id="timing__adapter__32_inherit__map">
<area shape="rect" id="node4" href="classETHGENERATOR32.html" title="ETHGENERATOR32" alt="" coords="5,169,160,196"/><area shape="rect" id="node5" href="enumtop__ethgenerator32.html" title="top_ethgenerator32" alt="" coords="185,169,333,196"/><area shape="rect" id="node2" href="enumtiming__adapter__fifo__32.html" title="timing_adapter_fifo\l_32(2)" alt="" coords="9,5,151,47"/><area shape="rect" id="node3" href="enumtiming__adapter__fifo__32.html" title="timing_adapter_fifo_32" alt="" coords="175,13,342,39"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="enumtiming__adapter__32-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtiming__adapter__32_1_1behav.html">behav</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="enumtiming__adapter__32.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="enumtiming__adapter__32.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a78b58c539f242de1027e07aaaeaad8c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a78b58c539f242de1027e07aaaeaad8c4"></a>
<a class="el" href="enumtiming__adapter__32.html#a78b58c539f242de1027e07aaaeaad8c4">in_ready</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a830c8c2de50471ad9e38cb48d322c395"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a830c8c2de50471ad9e38cb48d322c395"></a>
<a class="el" href="enumtiming__adapter__32.html#a830c8c2de50471ad9e38cb48d322c395">in_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0546828423c0bbe710e53dbce0297240"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0546828423c0bbe710e53dbce0297240"></a>
<a class="el" href="enumtiming__adapter__32.html#a0546828423c0bbe710e53dbce0297240">in_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aca0e0fdf05ab00d1ebff62bc70cbe2e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca0e0fdf05ab00d1ebff62bc70cbe2e2"></a>
<a class="el" href="enumtiming__adapter__32.html#aca0e0fdf05ab00d1ebff62bc70cbe2e2">in_startofpacket</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6874676fed3d8aa0a5cb01e0094167cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6874676fed3d8aa0a5cb01e0094167cf"></a>
<a class="el" href="enumtiming__adapter__32.html#a6874676fed3d8aa0a5cb01e0094167cf">in_endofpacket</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8c2d5e1b79ddf446c719628c6266f671"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c2d5e1b79ddf446c719628c6266f671"></a>
<a class="el" href="enumtiming__adapter__32.html#a8c2d5e1b79ddf446c719628c6266f671">in_empty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af9b7771b0cf2691989ed531a70fcafc1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9b7771b0cf2691989ed531a70fcafc1"></a>
<a class="el" href="enumtiming__adapter__32.html#af9b7771b0cf2691989ed531a70fcafc1">in_error</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1f2d750d059c38b1a18c45ea4c96e1b4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f2d750d059c38b1a18c45ea4c96e1b4"></a>
<a class="el" href="enumtiming__adapter__32.html#a1f2d750d059c38b1a18c45ea4c96e1b4">out_ready</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2c02aeaf1ba7a4c8d1b443eae7ca121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2c02aeaf1ba7a4c8d1b443eae7ca121"></a>
<a class="el" href="enumtiming__adapter__32.html#aa2c02aeaf1ba7a4c8d1b443eae7ca121">out_valid</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63af17490f0e8245f160df664591bdaa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63af17490f0e8245f160df664591bdaa"></a>
<a class="el" href="enumtiming__adapter__32.html#a63af17490f0e8245f160df664591bdaa">out_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab85521420b0188d075aecb3f482aa700"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab85521420b0188d075aecb3f482aa700"></a>
<a class="el" href="enumtiming__adapter__32.html#ab85521420b0188d075aecb3f482aa700">out_startofpacket</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2dc9552ecdbc7c3bd075e20f0e1492e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2dc9552ecdbc7c3bd075e20f0e1492e3"></a>
<a class="el" href="enumtiming__adapter__32.html#a2dc9552ecdbc7c3bd075e20f0e1492e3">out_endofpacket</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9216e935ad39277f5481502250eafac8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9216e935ad39277f5481502250eafac8"></a>
<a class="el" href="enumtiming__adapter__32.html#a9216e935ad39277f5481502250eafac8">out_empty</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed3eb56c7139ba9f72f8ae9524f25e79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed3eb56c7139ba9f72f8ae9524f25e79"></a>
<a class="el" href="enumtiming__adapter__32.html#aed3eb56c7139ba9f72f8ae9524f25e79">out_error</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__verilog_2models_2timing__adapter__32_8v_source.html#l00046">46</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__verilog_2models_2timing__adapter__32_8v_source.html">timing_adapter_32.v</a>.</p>
</div><hr/>The documentation for this enum was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_verilog/models/<a class="el" href="tse__rgmii__testbench_2testbench__verilog_2models_2timing__adapter__32_8v_source.html">timing_adapter_32.v</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2timing__adapter__32_8vhd_source.html">timing_adapter_32.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_verilog/models/<a class="el" href="WIB__TSE__testbench_2testbench__verilog_2models_2timing__adapter__32_8v_source.html">timing_adapter_32.v</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2timing__adapter__32_8vhd_source.html">timing_adapter_32.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
